services:
  mysql:
    image: mysql:8.4.8
    container_name: ${CONTAINER_NAME}
    restart: always
    environment:
      MYSQL_ROOT_PASSWORD: ${PANEL_DB_ROOT_PASSWORD}
    networks:
      - opsmind-network
    ports:
      - ${PANEL_APP_PORT_HTTP}:3306
    volumes:
      - ./data/:/var/lib/mysql
      - ./conf/my.cnf:/etc/my.cnf
      - ./log:/var/log/mysql
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true
